<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Giải PT bậc 2</title>
  </head>

  <body onload="loadPage()">
    <h1>Giải Phương Trình bậc hai</h1>
    <p>Phương trình bậc hai có 3 tham số a,b,c</p>
    <label for="">Số a</label>
    <input id="soA" type="text" value="" placeholder="Nhập nghiệm thứ nhất" />
    <br /><br />
    <label for="">Số b</label>
    <input id="soB" type="text" value="" placeholder="Nhập nghiệm thứ hai" />
    <br /><br />
    <label for="">Số c</label>
    <input id="soC" type="text" value="" placeholder="Nhập nghiệm thứ ba" />
    <br /><br />
    <button onclick="giaiPTB2()">Tìm nghiệm</button>
    <p id="nghiem_cua_pt" style="display: none"></p>
  </body>
  <script>
    var text1 = document.getElementById("soA");
    var text2 = document.getElementById("soB");
    var text3 = document.getElementById("soC");

    var Innghiem = document.getElementById("nghiem_cua_pt");
    Innghiem.style.display = "block";
    function loadPage() {
      console.log(text1.id);
      console.log(text2.id);
      console.log(text3.id);
      console.log(text1.placeholder);
      console.log(text2.placeholder);
      console.log(text3.placeholder);
    }
    function giaiPTB2() {
      console.log("tìm nghiệm của pt bậc 2");

      var a = text1.value;
      var b = text2.value;
      var c = text3.value;
      var delta = b * b - 4 * a * c;
      if (delta > 0) {
        var x1 = (-b + Math.sqrt(delta)) / (2 * a);
        var x2 = (-b - Math.sqrt(delta)) / (2 * a);

        var text =
          "Nghiệm thứ nhất của phương trình x1= " +
          x1 +
          "<br/>" +
          "Nghiệm thứ hai của phương trình x2= " +
          x2;
        Innghiem.innerHTML = text.fontcolor("#33CC00");
      } else if (delta == 0) {
        var x = -b / (2 * a);
        var text = "Phương Trình có nghiệm kép x= " + x;
        Innghiem.innerHTML = text.fontcolor("#0099FF");
      } else {
        Innghiem.innerHTML = "Phương trình vô nghiệm".fontcolor("#BB0000");
      }
    }
  </script>
</html>
